Couchbase client doesn't support node 0.11.13

Hi,

I updated my node version to the 0.11 branch and now couchbase won't rebuild. It looks like the nan (v 0.8) module you are using doesn't work well with node 0.11 (https://github.com/wadey/node-microtime/issues/19).

Do you have any work around ?

Thanks

2 Answers

« Back to question.

Finally solve my problem using version 2.0.X even if it's not on npm, it's on their github repo.

use "couchbase": "2.0.x" in your package.json

« Back to question.

Any luck yet?
Mine only shows this:
"Error: Module did not self-register."